<div id="meal-wrapper" class="card" cdkDropListGroup>
    <!-- Day of week selector -->
    <z2h-day-of-week-selector></z2h-day-of-week-selector>

    <div *ngFor="let meal of meals; let i = index" class="meal">

        <!-- Info -->
        <div class="info">
            <div class="date second-color">
                {{ meal.date | date: 'HH:mm' }}
            </div>
            <div class="name main-color bold">
                {{ meal.name }}
            </div>
            <button mat-button class="mat-button-min mt-2" color="warn" [disabled]="false" (click)="deleteMeal(i)">
                Eliminar
            </button>
        </div>
        <!-- Product list -->
        <div class="product-list">
            <div>
                <z2h-meal-product-list [meal]="meal" [mealIndex]="i"></z2h-meal-product-list>
                <!--    <z2h-product-list [dataSource]="option.getAllFoods()" [undoAction]="false">
                </z2h-product-list> -->

            </div>

        </div>

        <!-- Summary -->
        <div class="summary">
            <z2h-meal-summary [meal]="meal"></z2h-meal-summary>
        </div>

    </div>
</div>